/**
 * @internal
 */
export class Api {
    constructor(data) {
        this.data = data;
    }
}
/**
 * Adds methods to the SpriteSpin api
 *
 * @public
 */
export function extendApi(methods) {
    const api = Api.prototype;
    for (const key in methods) {
        if (methods.hasOwnProperty(key)) {
            if (api[key]) {
                throw new Error('API method is already defined: ' + key);
            }
            else {
                api[key] = methods[key];
            }
        }
    }
    return api;
}
//# sourceMappingURL=api.js.map