import { Data, Options } from './models';
/**
 * Collection of all SpriteSpin instances
 */
export declare const instances: {
    [key: string]: Data;
};
/**
 * (re)binds all spritespin events on the target element
 *
 * @internal
 */
export declare function applyEvents(data: Data): void;
/**
 * Runs the boot process.
 *
 * @remarks
 * (re)initializes plugins, (re)initializes the layout, (re)binds events and loads source images.
 *
 * @internal
 */
export declare function boot(data: Data): void;
/**
 * Creates a new SpriteSpin instance
 *
 * @public
 */
export declare function create(options: Options): Data;
/**
 * Creates a new SpriteSpin instance, or updates an existing one
 *
 * @public
 */
export declare function createOrUpdate(options: Options): Data;
/**
 * Destroys the SpriteSpin instance
 *
 * @remarks
 * - stops running animation
 * - unbinds all events
 * - deletes the data on the target element
 *
 * @public
 */
export declare function destroy(data: Data): void;
