import { SizeMode } from '../core/models';
export interface Layoutable {
    width?: number;
    height?: number;
    frameWidth?: number;
    frameHeight?: number;
    target: any;
    sizeMode?: SizeMode;
}
export interface Layout {
    [key: string]: any;
    width: string | number;
    height: string | number;
    top: number;
    left: number;
    bottom: number;
    right: number;
    position: 'absolute';
    overflow: 'hidden';
}
export interface SizeWithAspect {
    width: number;
    height: number;
    aspect: number;
}
/**
 *
 */
export declare function getOuterSize(data: Layoutable): SizeWithAspect;
export declare function getComputedSize(data: Layoutable): SizeWithAspect;
/**
 *
 */
export declare function getInnerSize(data: Layoutable): SizeWithAspect;
/**
 *
 */
export declare function getInnerLayout(mode: SizeMode, inner: SizeWithAspect, outer: SizeWithAspect): Layout;
