import { Options } from './models';
/**
 * The namespace that is used to bind functions to DOM events and store the data object
 */
export declare const namespace = "spritespin";
/**
 * Event names that are recognized by SpriteSpin. A module can implement any of these and they will be bound
 * to the target element on which the plugin is called.
 */
export declare const eventNames: string[];
/**
 *
 */
export declare const callbackNames: string[];
/**
 * Names of events for that the default behavior should be prevented.
 */
export declare const eventsToPrevent: string[];
/**
 * Default set of SpriteSpin options. This also represents the majority of data attributes that are used during the
 * lifetime of a SpriteSpin instance. The data is stored inside the target DOM element on which the plugin is called.
 */
export declare const defaults: Options;
