import { Data } from './models';
/**
 * Describes a SpriteSpin input state
 *
 * @public
 */
export interface InputState {
    oldX: number;
    oldY: number;
    currentX: number;
    currentY: number;
    startX: number;
    startY: number;
    clickframe: number;
    clicklane: number;
    dX: number;
    dY: number;
    ddX: number;
    ddY: number;
    ndX: number;
    ndY: number;
    nddX: number;
    nddY: number;
}
/**
 * Gets the current input state
 *
 * @public
 * @param data - The SpriteSpin instance data
 */
export declare function getInputState(data: Data): InputState;
/**
 * Updates the input state using a mous or touch event.
 *
 * @public
 * @param e - The input event
 * @param data - The SpriteSpin instance data
 */
export declare function updateInput(e: any, data: Data): void;
/**
 * Resets the input state.
 *
 * @public
 */
export declare function resetInput(data: Data): void;
